## kannel 1.4.3

=== debian/changelog ===
kannel (1.4.3-2fakesync2build1) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:37:09 -0800

kannel (1.4.3-2fakesync2) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 May 2011 23:06:54 +0100

kannel (1.4.3-2fakesync1) maverick; urgency=low

  * Fake sync due to mismatching orig tarball (LP: #590067).

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 15 Jun 2010 01:10:54 +0200

kannel (1.4.3-2) unstable; urgency=low

  * Drop superfluous /var/run/kannel ownership change in postinst
    (already taken care of at SysV start time, and might fail if
    /var/run is on temporary media). Closes: bug#574205, thanks to Lucas
    Nussbaum.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Mar 2010 03:19:40 +0100

kannel (1.4.3-1) unstable; urgency=low

  [ Paul Dwerryhouse ]
  * New upstream release. Closes: bug#563661.
  * Add patch 33 fixing paths in gw/kannel.8. Closes: bug#527227, thanks
    to Slaven Rezic.
  * Depend on psmisc for killall in logrotate script. Closes: #539856,
    thanks to Alan McNatty.

  [ Jonas Smedegaard ]
  * Source now git-maintained: Add Vcs-* stanzas to control file.
  * Add git-buildpackage configfile, enabling signed tags and pristine-
    tar.
  * Use source format '3.0 (quilt)':
    + Abandon dpatch: Drop build-depending on dpatch; drop patch-related
      build rules.
    + Convert patches from dpatch to quilt w/ DEP3 headers.
    + Add hint file debian/source/format.
  * put aside upstream config.guess and config.sub during build (instead
    of overwriting and removing afterwards), to be VCS-friendly.
  * Build-depend on unversioned libmysqlclient-dev (and only fallback on
    deprecated libmysqlclient15-dev to ease backporting).
  * Build-depend on automake (not older automake1.10).
  * Depend on ${misc:Depends}.
  * Cosmetics: Wrap long descriptions at 72 chars, and strip trailing
    newlines.
  * Fix patch 33 triple-slash fix.
  * Add myself as uploader.
  * Build with configure flag --enable-warnings.
  * Enable SQLite2, SQLite3 and PostgreSQL support:
    + Build-depend on libsqlite0-dev, sqlite, libsqlite3-dev, sqlite3
      and libpq-dev
    + Add relevant configure flags
  * Enable PCRE support:
    + Build-depend on libpcre3-dev
    + Add relevant configure flag
  * Tighten LSB init hints:
    + Require local_fs and remote_fs (not only local_fs, and not only
      should have)
    + Should have named
    + Drop requiring syslog (daemons write directly to log files)
  * Bump Standards-Version to 3.8.4.
  * Have kannel-dev depend on needed header packages.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Feb 2010 02:10:44 +0100

kannel (1.4.1-4) unstable; urgency=low

  * Applied patch from James Westby to use lsb_init 
    functions (Closes: #511882,#464451)
  * Added autotools-dev to Build-Depends (Closes: #511880)

 -- Paul Dwerryhouse <paul@dwerryhouse.com.au>  Sat, 14 Feb 2009 12:09:25 +1100

kannel (1.4.1-3) unstable; urgency=low

  * Added build-dep for docbook (Closes: #509970)
  * Changed manpage references from file://usr/doc/kannel to
    file://usr/share/doc/kannel (Closes: #510481)
  * Added SMPP to package description (Closes: #465743)
  * Upgraded to standards-version 3.8.0
  * Updated config.guess and config.sub
  * Changed gs to ghostscript in build-deps
  * Changed libssl-dev build-dep from 0.9.8-1 to 0.9.8
  * Changes ${Source-Version} to ${binary:Version}
  * Added new Homepage: field in debian/control
  * Put kannel-docs into doc Section

 -- Paul Dwerryhouse <paul@dwerryhouse.com.au>  Sun, 11 Jan 2009 11:14:57 +1100

kannel (1.4.1-2) unstable; urgency=low

  * Loic Minier's patch to debian/rules to fix incorrect path being returned
    by gw-config (Closes: #337616)

 -- Paul Dwerryhouse <paul@dwerryhouse.com.au>  Sun, 15 Oct 2006 10:08:43 +1000

kannel (1.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #346429)
  * Removed mbuni patch, since it doesn't apply correctly (64_mbuni.dpatch).
  * Removed libmysqlclient15 namespace patch (16_kannel_list.dpatch).
  * Added LSB dependency info to the kannel.init file

 -- Paul Dwerryhouse <paul@dwerryhouse.com.au>  Wed,  4 Oct 2006 12:46:07 +1000

kannel (1.4.0-17) unstable; urgency=low

  * Patch from Stefan Huehner <stefan@huehner.org> to fix the namespace
    problem when compiling against libmysqlclient15 (Closes: #343769)

 -- Paul Dwerryhouse <paul@dwerryhouse.com.au>  Mon, 17 Apr 2006 08:22:07 +1000

kannel (1.4.0-16) unstable; urgency=low

  * Updated debian/patches/00list for new patch

 -- Paul Dwerryhouse <paul@dwerryhouse.com.au>  Mon, 24 Oct 2005 10:52:36 +1000

kannel (1.4.0-15) unstable; urgency=low

  * Patch from Loic Minier <lool@dooz.org> to allow compilation on
    Alpha (Closes: #266148)

 -- Paul Dwerryhouse <paul@dwerryhouse.com.au>  Sun, 23 Oct 2005 08:42:15 +1000

kannel (1.4.0-14) unstable; urgency=low

  * Build-Depends libssl-dev >= 0.9.8-1

 -- Paul Dwerryhouse <paul@dwerryhouse.com.au>  Mon, 10 Oct 2005 21:08:57 +1000

kannel (1.4.0-13) unstable; urgency=low

  * Standards version changed to 3.6.2
  * Add Source-Version to kannel-extras depends
  * kannel-extras now depends on kannel
  * Removed suggests from kannel-extras
  * Change deluser to userdel to avoid having to put adduser into
    Pre-Depends.
  * kannel 1.4 compiles successfully with gcc-3.4 (Closes: #275947)
  * Several changes provided by Loic Minier <lool@dooz.org>, to allow
    support for Mbuni, see below. (Closes: #325730)
  * Add dpatch support. [debian/control, debian/rules, debian/patches/00list]
  * Required changes for Mbuni 1.0.0. [debian/patches/64_mbuni.dpatch]
  * New kannel-dev package for development files. [debian/control,
    debian/kannel-dev.install]
  * Move *.a files from kannel-extras to kannel-dev.
    [debian/kannel-dev.install, debian/kannel-extras.install]
  * Move gw-config helper from kannel to kannel-dev.

