=== debian/control ===
Source: kannel
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Dwerryhouse <paul@dwerryhouse.com.au>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>> 7.0.0), libxml2-dev, libssl-dev (>= 0.9.8), openssl, libmysqlclient-dev | libmysqlclient15-dev, libsqlite0-dev, sqlite, libsqlite3-dev, sqlite3, libpq-dev, libpam0g-dev, autoconf, automake, autotools-dev, libpcre3-dev
Build-Depends-Indep: docbook-dsssl, jadetex, transfig, imagemagick, ghostscript, jade, docbook
Vcs-Git: git://git.debian.org/git/collab-maint/kannel.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/kannel.git;a=summary
Homepage: http://www.kannel.org/
Standards-Version: 3.8.4

Package: kannel
Architecture: any
Section: net
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, psmisc
Conflicts: kannel-devel, kannel-cvs
Replaces: kannel-devel, kannel-cvs
Description: WAP and SMS gateway
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet. It also works as an SMS/SMPP gateway, for
 providing SMS based services for GSM phones.
 .
 Compiled with ssl, MySQL and native malloc.

Package: kannel-extras
Architecture: any
Section: net
Priority: optional
Suggests: python
Depends: ${shlibs:Depends}, ${misc:Depends}, kannel (= ${binary:Version})
Description: WAP and SMS gateway extras
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet. It also works as an SMS/SMPP gateway, for
 providing SMS based services for GSM phones.
 .
 Test utilities and contrib data.

Package: kannel-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: kannel
Priority: optional
Description: WAP and SMS gateway documentation
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet. It also works as an SMS/SMPP gateway, for
 providing SMS based services for GSM phones.
 .
 Documentation in html, rtf and pdf format.

Package: kannel-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, libssl-dev, libpam0g-dev, libxml2-dev, libpcre3-dev, libmysqlclient-dev, libsqlite0-dev, libsqlite3-dev, libpq-dev
Description: WAP and SMS gateway headers and development files
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet. It also works as an SMS/SMPP gateway, for
 providing SMS based services for GSM phones.
 .
 Headers and development files.
