## kannel 1.4.4

=== debian/changelog ===
kannel (1.4.4-5) unstable; urgency=medium

  * Remove Paul Dwerryhouse as uploader. Thanks for your past
    contributions.
    Closes: Bug#873554. Thanks to Tobias Frost.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Add copyright-check maintainer script.
  * Update copyright info:
    + Claim copyright over packaging.
    + Use https protocol in file format URL.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Update watch file:
    + Bump format version.
    + Mention gbp --uscan in usage comment.
  * Advertise DEP-3 format in patch headers.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Aug 2017 10:11:51 +0200

kannel (1.4.4-4) unstable; urgency=medium

  * (Build-)depend on default-libmysqlclient-dev, with
    libmysqlclient-dev as fallback to ease backporting.
    Closes: Bug#845858. Thanks to Otto.
  * Stop build-depend on jade: Obsolete and needless (successor openjade
    pulled in already bia docbook-dsssl).
    Closes: Bug#840364. Thanks to Neil Roeth.
  * (Build-)depend on libssl1.0-dev, with older libssl-dev only as
    fallback (and only pre-1.1 versions) to ease backporting.
    See bug#828362.
  * Add patches to make build reproducible.
    Closes: Bug#819915. Thanks to Alexis Bienvenüe.
  * Declare compliance with Debian Policy 3.9.8.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Dec 2016 20:22:16 +0100

kannel (1.4.4-3) unstable; urgency=medium

  * Add patches 35-36 to fix FTBFS on GNU/kFreeBSD.
    Closes: Bug#820155. Thanks to Steven Chamberlain.
  * Add patch 37 to define _DEFAULT_SOURCE (not _VSD_SOURCE or
    _SVID_SOURCE).
  * Fix build-depend on gnulib: Needed for CDBS modernizing config.rpath
    during build.
  * Recreate autotools during build. Build-depend on dh-autoreconf.
  * Add patch 38 to remove soap/Makefile in distclean target.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 May 2016 12:43:33 +0200

kannel (1.4.4-2) unstable; urgency=medium

  * Fix Vcs-* field URLs. Closes: bug#793981.
    Thanks to Kalle Niemitalo.
  * Drop superfluous control fields inherited from source section.
  * Update package relations: Fix have kannel-dev depend on
    libhiredis-dev and freetds-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Nov 2015 11:09:20 +0100

kannel (1.4.4-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: bug#786747. Thanks to Kalle Niemitalo.

  [ Jonas Smedegaard ]
  * Really enable support for Redis and FreeTDS.
  * Include /usr/bin/decode_emimsg in kannel package.
  * Unfuzz patch 34.
  * Touch autogenerated Bison code before build, to avoid accidental
    regenerating it.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Aug 2015 11:20:46 +0200

kannel (1.4.3-4) unstable; urgency=medium

  * Fix postrm script to not fail if package dirs were already gone.
  * Drop broken pid file juggling in postinst script (handled in init
    script).
    Closes: Bug#793594. Thanks to Andreas Beckmann.
  * Enable support for Redis and FreeTDS.
    Build-depend on libhiredis-dev freetds-dev.
  * Drop patch 32: Alpha no longer a supported architecture.
  * Bump debhelper compatibility level to 9.
  * Fix lintian overrides.
  * Override lintian regarding build-depending unversioned on debhelper.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Aug 2015 09:16:46 +0200

kannel (1.4.3-3) unstable; urgency=medium

  * Add watch file.
  * Add patch 34 to use sqlite3_libversion() instead of sqlite3_version.
    Closes: Bug#717728. Thanks to Andreas Beckmann and Kalle Niemitalo.
  * Declare compliance with Debian Policy 3.9.6.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Jul 2015 22:13:49 +0200
