=== debian/control ===
Source: kannel
Section: net
Priority: optional
Maintainer: Debian Kannel maintainers <pkg-kannel-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 gnulib,
 dh-autoreconf,
 debhelper,
 libxml2-dev,
 libssl1.0-dev | libssl-dev (<< 1.1~),
 openssl,
 default-libmysqlclient-dev | libmysqlclient-dev,
 libsqlite0-dev,
 sqlite,
 libsqlite3-dev,
 sqlite3,
 libpq-dev,
 libhiredis-dev,
 freetds-dev,
 libpam0g-dev,
 autoconf,
 automake,
 autotools-dev,
 libpcre3-dev
Build-Depends-Indep:
 docbook-dsssl,
 jadetex,
 transfig,
 imagemagick,
 ghostscript,
 docbook-xml
Vcs-Git: https://anonscm.debian.org/git/pkg-kannel/kannel.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kannel/kannel.git
Homepage: http://www.kannel.org/
Standards-Version: 4.1.0

Package: kannel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
 psmisc
Conflicts:
 kannel-devel,
 kannel-cvs
Replaces:
 kannel-devel,
 kannel-cvs
Description: WAP and SMS gateway
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet. It also works as an SMS/SMPP gateway, for
 providing SMS based services for GSM phones.
 .
 Compiled with ssl, MySQL and native malloc.

Package: kannel-extras
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 kannel (= ${binary:Version})
Suggests: python
Description: WAP and SMS gateway extras
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet. It also works as an SMS/SMPP gateway, for
 providing SMS based services for GSM phones.
 .
 Test utilities and contrib data.

Package: kannel-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: kannel
Description: WAP and SMS gateway documentation
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet. It also works as an SMS/SMPP gateway, for
 providing SMS based services for GSM phones.
 .
 Documentation in html, rtf and pdf format.

Package: kannel-dev
Architecture: any
Section: devel
Depends:
 ${misc:Depends},
 libssl1.0-dev | libssl-dev (<< 1.1~),
 libpam0g-dev,
 libxml2-dev,
 libpcre3-dev,
 default-libmysqlclient-dev | libmysqlclient-dev,
 libsqlite0-dev,
 libsqlite3-dev,
 libpq-dev,
 libhiredis-dev,
 freetds-dev
Description: WAP and SMS gateway headers and development files
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet. It also works as an SMS/SMPP gateway, for
 providing SMS based services for GSM phones.
 .
 Headers and development files.
