=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
http://www.kannel.org/download.shtml .*/gateway-(\d[\d.]*)\.tar\.\S+
