## kannel 1.4.5

=== debian/changelog ===
kannel (1.4.5-21) unstable; urgency=medium

  [ Guillem Jover ]
  * Update Vcs-* fields after move of project to pkg-voip-team namespace.
  * Fix build failure with gcc-15. (Closes: #1096896)
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

  [ Victor Seva ]
  * Remove myself from Uploaders.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 23 Sep 2025 23:20:01 +0200

kannel (1.4.5-20) unstable; urgency=medium

  * Fix send_enquire_link() signature for time64 support.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 08 Oct 2024 21:49:00 +0200

kannel (1.4.5-19) unstable; urgency=medium

  * Move _GNU_SOURCE setting to more relevant patch.
  * Update patch metadata.
  * Update patches for «gbp pq» support.
  * Add partial time64 support on 32-bit arches. (Closes: #1081951)

 -- Guillem Jover <gjover@sipwise.com>  Tue, 08 Oct 2024 19:43:11 +0200

kannel (1.4.5-18) unstable; urgency=medium

  * fix build with autoconf-2.7 (Closes: #1080146)

 -- Victor Seva <vseva@debian.org>  Mon, 09 Sep 2024 20:14:15 +0200

kannel (1.4.5-17) unstable; urgency=medium

  * Team upload.
  * Drop unused dependency. (Closes: #1071618)

 -- Bastian Germann <bage@debian.org>  Thu, 23 May 2024 18:43:57 +0200

kannel (1.4.5-16) unstable; urgency=medium

  * Fix logic inversion in test suppression for ppc64 and ppc64el.
  * Improve gw-config(1) man page:
    - Lower-case title name.
    - Remove wrong information about info manual.
    - Do not use unbalanced quotes.
    - Use -- instead of - as example separator.
    - Refer to <option> instead of spelling each on the synopsis.
    - Fix markup and only embolden gw-config instead of entire line.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 19 Mar 2024 20:26:07 +0100

kannel (1.4.5-15) unstable; urgency=medium

  * Disable test suite on ppc64 and ppc64el via an override as it hangs there.
  * Split each word into its own line for the dh_auto_install override.
  * Refactor debian/tmp into a new D variable.
  * Use $(MAKE) instead of calling make directly.
  * Move examples from kannel to kannel-docs.
  * Improve package build to support separate arch-indep and arch-dep builds.
  * Remove debugging aid to print environment.
  * Regenerate code from YACC source code and update it to build.
  * Print the errors from the test suite on failure.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 19 Mar 2024 00:39:06 +0100

kannel (1.4.5-14) unstable; urgency=medium

  * Adopt package as part of the Debian VoIP Team. (Closes: #1049339)
  * Run wrap-and-sort -sat.
  * Remove obsolete lsb-base dependency.
  * Add a debian/.gitignore file.
  * Fix FTBFS due to -Werror=implicit-function-declaration in OpenSSL
    configure check. (Closes: #1066507)
  * Fix FTBFS when building twice in a row. (Closes: #1045568)
  * Switch from pkg-config to pkgconf in build dependencies.
  * Update copyright file and remove old generation scaffolding.
  * Use spaces around Makefile variable assignments.
  * Conditionally append nocheck to DEB_BUILD_MAINT_OPTIONS instead of
    DEB_BUILD_OPTIONS which is a user controlled variable.
  * Switch to debhelper-compat level 13.
  * Update lintian-overrides.
  * Stop using pristine-tar, and rename git branches.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 15 Mar 2024 23:52:28 +0100

kannel (1.4.5-13) unstable; urgency=medium

  * Disable PCRE support, as PCRE3 will go away from Debian (Closes: #1000133)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 15 Jul 2023 14:43:40 +0200

kannel (1.4.5-12) unstable; urgency=medium

  * Detect libxml2 without xml2-config.
    Thanks to Hugh McMaster <hugh.mcmaster@outlook.com> (Closes: #949405)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 22 Oct 2022 16:05:32 +0000

kannel (1.4.5-11) unstable; urgency=medium

  * Re-add Build-Depends-Indep: imagemagick to fix kannel-docs.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #1018099)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 27 Aug 2022 20:33:59 +0000

kannel (1.4.5-10) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * debian/rules: Strip out the build directory from gw-config
    (Closes: #995745)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 05 Oct 2021 08:26:39 +0000

kannel (1.4.5-9) unstable; urgency=medium

  * Fix FTBFS with gcc-10 by hiding some local symbols (Closes: #957396)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 22 Jul 2020 22:14:16 +0000

kannel (1.4.5-8) unstable; urgency=medium

  * Add patch to allow cross-builds.
    Patch by Helmut Grohne <helmut@subdivi.de>, many thanks. (Closes: #949079)
  * Turn off SQLite 2.x support

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 17 Jan 2020 21:36:12 +0000

kannel (1.4.5-7) unstable; urgency=medium

  [ Robie Basak ]
  * Disable PostScript documentation generation to fix the build now
    that ImageMagick PostScript conversion is no longer permitted
    (LP: #1838425).
  * Drop Build-Depends-Indep on imagemagick since it is no required following
    the above change.

  [ Chris Hofstaedtler ]
  * Mark kannel-docs Multi-Arch: foreign

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 31 Dec 2019 17:11:04 +0000

kannel (1.4.5-6) unstable; urgency=medium

  * Disable tests on ppc64el

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 28 Nov 2019 10:06:57 +0000

kannel (1.4.5-5) unstable; urgency=medium

  * d/copyright: update file wildcards
  * d/copyright: add myself for debian/*
  * d/changelog: fix trailing whitespace
  * Fix missing hardening CPPFLAGS
  * Bump Standards-Version to 4.4.1
  * Stop Build-Depending on old libmysqlclient-dev package

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 05 Nov 2019 21:31:57 +0000

kannel (1.4.5-4) unstable; urgency=medium

  * Switch Debian build system to dh (with compat v12)
  * Remove alternate Build-Depends on obsolete libmysqlclient-dev
  * configure.in: adapt for current autoheader
  * Enable gitlab CI


