=== debian/control ===
Source: kannel
Section: net
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Guillem Jover <gjover@sipwise.com>,
Build-Depends:
 autoconf,
 automake,
 bison,
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 freetds-dev,
 gnulib,
 libhiredis-dev,
 libpam0g-dev,
 libpq-dev,
 libsqlite3-dev,
 libssl-dev,
 libxml2-dev,
 openssl,
 pkgconf,
 sqlite3,
Build-Depends-Indep:
 docbook-dsssl,
 docbook-xml,
 ghostscript,
 imagemagick,
 texlive-formats-extra,
 transfig,
Vcs-Git: https://salsa.debian.org/pkg-voip-team/kannel.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/kannel
Homepage: https://www.kannel.org/
Standards-Version: 4.4.1

Package: kannel
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 psmisc,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 kannel-cvs,
 kannel-devel,
Replaces:
 kannel-cvs,
 kannel-devel,
Description: WAP and SMS gateway
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet.
 It also works as an SMS/SMPP gateway,
 for providing SMS based services for GSM phones.
 .
 Compiled with ssl, MySQL and native malloc.

Package: kannel-extras
Architecture: any
Depends:
 kannel (= ${binary:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Suggests:
 python,
Description: WAP and SMS gateway extras
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet.
 It also works as an SMS/SMPP gateway,
 for providing SMS based services for GSM phones.
 .
 Test utilities and contrib data.

Package: kannel-docs
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 kannel,
Replaces:
 kannel (<< 1.4.5-15~),
Multi-Arch: foreign
Description: WAP and SMS gateway documentation
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet.
 It also works as an SMS/SMPP gateway,
 for providing SMS based services for GSM phones.
 .
 Documentation in html, rtf and pdf format.

Package: kannel-dev
Architecture: any
Section: devel
Depends:
 default-libmysqlclient-dev,
 freetds-dev,
 libhiredis-dev,
 libpam0g-dev,
 libpq-dev,
 libsqlite3-dev,
 libssl-dev,
 libxml2-dev,
 ${misc:Depends},
Description: WAP and SMS gateway headers and development files
 Kannel is a gateway for connecting WAP (Wireless Application Protocol)
 phones to the Internet.
 It also works as an SMS/SMPP gateway,
 for providing SMS based services for GSM phones.
 .
 Headers and development files.
