=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --uscan

https://www.kannel.org/download.shtml \
.*/gateway-@ANY_VERSION@@ARCHIVE_EXT@
